[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# sockaddr_in

Internet socket address record

## Declaration

Source position: socketsh.inc line 70

`type sockaddr_in = packed record`
`sin_family: sa_family_t;` |  | Internet socket family
`sin_port: cushort;` |  | Internet socket port
`sin_addr: in_addr;` |  | Internet socket host address
`xpad: array [0..7] of Char;` |  | Padding bytes
`end;`

## Description

sockaddr_in is used to store a INET socket address for the FPBind, FPRecv and FPSend calls.